Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.instance
Class PageInstance

    java.lang.Object
      com.bea.netuix.application.instance.PageInstance

All Implemented Interfaces
  NavigableInstance, Serializable

    public class PageInstance

extends Object
implements Serializable, NavigableInstance

Represents a customized version of a `PageDefinition`.

See Also
  Serialized Form

Constructor Summary
`PageInstance(ThemeDefinitionId themeDefinitionId, LayoutDefinitionId layoutDefinitionId, String instanceTitle)` Constructor to create a new `PageInstance` object.

Method Summary
`Date` | `getCreatedDate()`
`String` | `getInstanceTitle()` Returns the instance title for this page.
`LayoutDefinitionId` | `getLayoutDefinitionId()` Returns the `LayoutDefinitionId` of the layout associated with this `PageInstance`.
`Date` | `getModifiedDate()`
`NavigableDefinition` | `getNavigableDefinition()` Returns the `NavigableDefinition` associated with this page.
`NavigableDefinitionId` | `getNavigableDefinitionId()` Returns the `NavigableDefinitionId` for the `NavigableDefinition`associated with this page.
`NavigableInstanceId` | `getNavigableInstanceId()` Returns the `NavigableInstanceId` for the `NavigableInstance`associated with this page.
`PageDefinition` | `getPageDefinition()` Returns the `PageDefinition` that this page was created from.
`PageDefinitionId` | `getPageDefinitionId()` Returns the `PageDefinitionId` for the `PageDefinition` that this page was created from.
`PageInstanceId` | `getPageInstanceId()` Returns the `PageInstanceId` for this page.
`ThemeDefinitionId` | `getThemeDefinitionId()` Returns the `ThemeDefinitionId` of theme associated with this `PageInstance`.
`void` | `setInstanceTitle(String instanceTitle)` Sets the instance title for this page
`void` | `setLayoutDefinitionId(LayoutDefinitionId layoutDefinitionId)` Associates a layout with this page.
`void` | `setThemeDefinitionId(ThemeDefinitionId themeDefinitionId)` Associates a theme with this page.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PageInstance

    public PageInstance(ThemeDefinitionId themeDefinitionId,
                        LayoutDefinitionId layoutDefinitionId,
                        String instanceTitle)

  Constructor to create a new `PageInstance` object.

  Parameters
    `themeDefinitionId` - reference to a persisted `ThemeDefinition` that is the theme for this page
    `layoutDefinitionId` - reference to a persisted `LayoutDefinition` that is the layout for this page
    `instanceTitle` - customized title for this page instance

Method Detail

### getPageInstanceId

    public PageInstanceId getPageInstanceId()

  Returns the `PageInstanceId` for this page. Returns `null` when the PageInstance has not been retrieved by using the persistence API.

  Returns
    `PageInstanceId` for this page

### getPageDefinition

    public PageDefinition getPageDefinition()

  Returns the `PageDefinition` that this page was created from. Returns `null` when the PageInstance has not been retrieved by using the persistence API.

  Returns
    `PageDefinition` for this page

### getNavigableDefinition

    public NavigableDefinition getNavigableDefinition()

  Returns the `NavigableDefinition` associated with this page. Returns `null` when the PageInstance has not been retrieved by using the persistence API.

  Specified by:
    `getNavigableDefinition` in interface `NavigableInstance`
  Returns
    `NaviagableDefinition` associated with this page
  See Also
    `NavigableDefinition`

### getPageDefinitionId

    public PageDefinitionId getPageDefinitionId()

  Returns the `PageDefinitionId` for the `PageDefinition` that this page was created from. Returns `null` when the PageInstance has not been retrieved by using the persistence API.

  Returns
    `PageDefinitionId` for this page

### getNavigableDefinitionId

    public NavigableDefinitionId getNavigableDefinitionId()

  Returns the `NavigableDefinitionId` for the `NavigableDefinition`associated with this page. Returns `null` when the PageInstance has not been retrieved by using the persistence API.

  Specified by:
    `getNavigableDefinitionId` in interface `NavigableInstance`
  Returns
    `NaviagableDefinitionId` associated with this page
  See Also
    `NavigableDefinition`

### getNavigableInstanceId

    public NavigableInstanceId getNavigableInstanceId()

  Returns the `NavigableInstanceId` for the `NavigableInstance`associated with this page. Returns `null` when the PageInstance has not been retrieved by using the persistence API.

  Specified by:
    `getNavigableInstanceId` in interface `NavigableInstance`
  Returns
    `NaviagableInstanceId` associated with this page
  See Also
    `NavigableInstance`

### getThemeDefinitionId

    public ThemeDefinitionId getThemeDefinitionId()

  Returns the `ThemeDefinitionId` of theme associated with this `PageInstance`.

  Returns
    `ThemeDefinitionId`

### setThemeDefinitionId

    public void setThemeDefinitionId(ThemeDefinitionId themeDefinitionId)

  Associates a theme with this page.

  Parameters
    `themeDefinitionId` - of theme associated with this page

### getLayoutDefinitionId

    public LayoutDefinitionId getLayoutDefinitionId()

  Returns the `LayoutDefinitionId` of the layout associated with this `PageInstance`.

  Returns
    `LayoutDefinitionId`

### setLayoutDefinitionId

    public void setLayoutDefinitionId(LayoutDefinitionId layoutDefinitionId)

  Associates a layout with this page.

  Parameters
    `layoutDefinitionId` - of the layout associated with this page

### getInstanceTitle

    public String getInstanceTitle()

  Returns the instance title for this page.

  Returns
    instance title

### setInstanceTitle

    public void setInstanceTitle(String instanceTitle)

  Sets the instance title for this page

  Parameters
    `instanceTitle` -

### getCreatedDate

    public Date getCreatedDate()

### getModifiedDate

    public Date getModifiedDate()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.